"A Source Engine game is required to run mods" On Mac version.

So I decided to try out the Mac version of GMod. It gets stuck at the loading screen, forcing me to force quit it, and when I do, I find this error sitting comfortably on my desktop.

http://img831.imageshack.us/img831/1693/engineerror.png

I copied the .gcf over from my PC, so I don’t know if that’s causing the problem, but I could do it fine with TF2 and Portal.

Try redownloading gmod

I’m pretty sure moving the .gcf directly over wouldn’t work for Gmod because it uses a different gcf file then the windows version.

Well, I fixed it. I just deleted the Garrys Mod folder and it magically worked.

Weird.